@charset "UTF-8";

//----------------------------------------------
@mixin media-cleared() {
  &.media,
  .media-body {
    overflow: visible;
  }

  .media-body {
    width: auto;
  }

  .media-left,
  .media-right,
  .media-body {
    display: block;
  }

  .media-right,
  .media > .pull-right {
    padding-bottom: 10px;
    padding-left: 0 !important;
  }

  .media-left,
  .media > .pull-left {
    padding-right: 0 !important;
    padding-bottom: 10px;
  }

  .media-object {
    display: inline-block;
  }
}

//----------------------------------------------
.media {
  &.media-cleared-xs {
    @media (max-width: $screen-xs-max) {
      @include media-cleared();
    }
  }

  &.media-cleared-sm {
    @media (max-width: $screen-sm-max) {
      @include media-cleared();
    }
  }

  &.media-direction-rtl {
    @media (min-width: $screen-sm-min) {
      // from right
      direction: rtl;

      .media-body,
      .media-left {
        direction: ltr;
      }

      .media-right {
        padding-right: 10px;
        padding-left: 0;
        direction: ltr;
      }
    }
  }
}

//----------------------------------------------
.media-gray {
  padding: 12px 5px 0 25px;
  background-color: #f0f0f0;
  border-radius: 9px;

  @media (max-width: $screen-sm-max) {
    padding-left: 20px;
  }

  @media (max-width: $screen-xs-max) {
    padding: 6px 3px 0 12px;
    margin-bottom: 20px;
  }

  .media-body {
    padding-bottom: 8px;
    font-size: 16px;
    line-height: 1;

    @media (min-width: $screen-md-min) {
      text-align: right;
    }

    @media (max-width: $screen-xs-max) {
      font-size: 14px;
    }

    .img-container {
      margin-right: 20px;
      margin-bottom: 8px;

      @media (max-width: $screen-xs-max) {
        margin-right: 0;
      }
    }
  }

  .media-right {
    padding-left: 2px;
    vertical-align: bottom;
  }
}

//----------------------------------------------
.media-white {
  padding: 27px 23px 28px 26px;
  margin-bottom: 30px;
  color: #2f4c71;
  background-color: #fff;

  @media (max-width: $screen-xs-max) {
    padding: 15px;
    margin-bottom: 20px;
  }

  .media-left {
    padding-right: 17px;
  }

  .media-body {
    .media-heading {
      margin: 17px 0 19px;
      font-size: 22px;

      @media (max-width: $screen-xs-max) {
        margin: 12px 0;
        font-size: 18px;
      }
    }

    .caption {
      padding-left: 3px;
      margin-bottom: 0;
    }
  }
}

//----------------------------------------------\
